> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassite.md).

# Set-RASSite.md

## NAME

Set-RASSite

## SYNOPSIS

Modifies site properties.

## SYNTAX

**Set-RASSite** \[[Id](#id-string)] *(uint)* \[[EnableHttpHostAttackProtection](#enablehttphostattackprotection-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASSite** \[-[InputObject](#inputobject)] *(*[*Site*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md)*)* \[[EnableHttpHostAttackProtection](#enablehttphostattackprotection-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASSite** \[[Name](#name-string)] *(string)* \[[EnableHttpHostAttackProtection](#enablehttphostattackprotection-string) *(bool)*] \[[NewName](#newname-string) *(string)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies site properties.

## PARAMETERS

## Name (string)

The name of the site to modify.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of the site to modify.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject ([Site](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md))

An object of type Site identifying the site to be modified.

To obtain the object, use the Get-Site cmdlet.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       true (ByValue)

        Accept wildcard characters?  false
```

## NewName (string)

A new name to assign to the site.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## EnableHttpHostAttackProtection (bool)

Whether Http Host Attack protection is enabled for this site or not.

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

[Site](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/site.md)

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASSite -Name "My-Site" -NewName "New Site Name"

Changes the name of the site specified by name.\
\*\*---------- EXAMPLE 2 ----------

Set-RASSite -Id 11 -EnableHttpHostAttackProtection $true

Enables the Http Host Attack protection of the site specified by ID.\
\*\*---------- EXAMPLE 3 ----------

Set-RASSite -InputObject $site -EnableHttpHostAttackProtection $false

Disables the Http Host Attack protection of the site specified by the $site variable, which must be an object of type Site.

To obtain the object, use the Get-RASSite cmdlet specifying the desired site.\
\*\*---------- EXAMPLE 4 ----------

Get-RASSite -Id 11 | Set-RASSite -NewName "New Site Name"

Changes the name of the site, which is identified by an object obtained from the pipeline output.

## RELATED LINKS

* [Get-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rassite.md)
* [Remove-RASSite](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rassite.md)
* [Invoke-RASSitePromoteToLicensing](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rassitepromotetolicensing.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rassite.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
